using UnityEngine;
using System.Collections;
using System.Text;
public class TestProfiler : MonoBehaviour {
	int temp = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () 
	{
		if (Time.frameCount % 30 == 0)
		{
			System.GC.Collect();
		}

		print ("Before:"+ Profiler.usedHeapSize);

		if (temp++ == 5)
		{
			print ("hello World");
			print ("hello World");
			print ("hello World");
			print ("hello World");
			temp = 0;

		}
		print ("After:"+ Profiler.usedHeapSize);
		string myName = "Hello";
		myName += "is Pat"; 

		StringBuilder myNameStringBuilder = new StringBuilder();
		myNameStringBuilder.Append("Hello ");
		myNameStringBuilder.Append(" Pat");

	}
}
